# httpretrycodes

Lists HTTP status codes that omhttp treats as retriable errors.

This parameter applies to omhttp: HTTP Output Module.

Name:

  httpretrycodes

Scope:

  input

Type:

  array

Default:

  input=2xx status codes

Required?:

  no

Introduced:

  Not specified

## Description

An array of strings that defines a list of one or more HTTP status codes that are retriable by the omhttp plugin. By default non-2xx HTTP status codes are considered retriable.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        httpRetryCodes=["500", "502", "503"]
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.